Bio::Seq::RichSeq(3pm)

NAME
Bio::Seq::RichSeq - Module implementing a sequence created from a rich sequence database entry

SYNOPSIS
See Bio::Seq::RichSeqI and documentation of methods.

DESCRIPTION
This module implements Bio::Seq::RichSeqI, an interface for sequences created from or created for entries from/of rich sequence databanks, like EMBL, GenBank, and SwissProt. Methods added to the Bio::SeqI interface therefore focus on databank-specific information. Note that not every rich databank format may use all of the properties provided.

For more information, please see the relevant

Implemented Interfaces
This class implementes the following interfaces.

Bio::Seq::RichSeqI
    Note that this includes implementing Bio::PrimarySeqI and Bio::SeqI, specifically via Bio::Seq and Bio::PrimarySeq. Please review the documentation for those modules on implementation details relevant to those interfaces, as well as the ones below.

Bio::IdentifiableI
Bio::DescribableI
Bio::AnnotatableI

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably
 to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Ewan Birney
Email birney@ebi.ac.uk

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : $seq    = Bio::Seq::RichSeq->new( -seq => 'ATGGGGGTGGTGGTACCCT',
                                             -id  => 'human_id',
                                             -accession_number => 'AL000012',
                                            );

 Function: Returns a new seq object from
           basic constructors, being a string for the sequence
           and strings for id and accession_number
 Returns : a new Bio::Seq::RichSeq object

  division
 Title   : division
 Usage   : $obj->division($newval)
 Function:
 Returns : value of division
 Args    : newvalue (optional)

  molecule
 Title   : molecule
 Usage   : $obj->molecule($newval)
 Function:
 Returns : type of molecule (DNA, mRNA)
 Args    : newvalue (optional)

  add_date
 Title   : add_date
 Usage   : $self->add_date($datestr)
 Function: adds one or more dates

           This implementation stores dates as keyed annotation, the
           key being 'date_changed'. You can take advantage of this
           fact when accessing the annotation collection directly.

 Example :
 Returns :
 Args    : a date string or an array of such strings

  get_dates
 Title   : get_dates
 Usage   : my @dates = $seq->get_dates;
 Function: Get the dates of the sequence (usually, when it was created and
           changed.
 Returns : an array of date strings
 Args    :

  pid
 Title   : pid
 Usage   : my $pid = $seq->pid();
 Function: Get (and set, depending on the implementation) the PID property
           for the sequence.
 Returns : a string
 Args    :

  accession
 Title   : accession
 Usage   : $obj->accession($newval)
 Function: Whilst the underlying sequence object does not
           have an accession, so we need one here.

           In this implementation this is merely a synonym for
           accession_number().
 Example :
 Returns : value of accession
 Args    : newvalue (optional)

  add_secondary_accession
 Title   : add_secondary_accession
 Usage   : $self->add_domment($ref)
 Function: adds a secondary_accession

           This implementation stores secondary accession numbers as
           keyed annotation, the key being 'secondary_accession'. You
           can take advantage of this fact when accessing the
           annotation collection directly.

 Example :
 Returns :
 Args    : a string or an array of strings

  get_secondary_accessions
 Title   : get_secondary_accessions
 Usage   : my @acc = $seq->get_secondary_accessions();
 Function: Get the secondary accession numbers as strings.
 Returns : An array of strings
 Args    : none

  seq_version
 Title   : seq_version
 Usage   : $obj->seq_version($newval)
 Function: Get/set the sequence version
 Returns : value of seq_version (a scalar)
 Args    : on set, new value (a scalar or undef, optional)
 Note    : this differs from Bio::PrimarySeq version() in that this explicitly
           refers to the sequence record version one would find in a typical
           sequence file.

  add_keyword
 Title   : add_keyword
 Usage   : $obj->add_keyword($newval)
 Function: Add a new keyword to the annotation of the sequence.

           This implementation stores keywords as keyed annotation,
           the key being 'keyword'. You can take advantage of this
           fact when accessing the annotation collection directly.

 Returns :
 Args    : value to be added (optional) (a string)

  get_keywords
 Title   : get_keywords
 Usage   : $obj->get_keywords($newval)
 Function: Get the keywords for this sequence as an array of strings.
 Returns : an array of strings
 Args    :

Private methods and synonyms for backward compatibility

  _add_annotation_value
 Title   : _add_annotation_value
 Usage   :
 Function: Adds a value to the annotation collection under the specified
           key. Note that this is not a public method.
 Returns :
 Args    : key (a string), value(s) (one or more scalars)

  _get_annotation_values
 Title   : _get_annotation_values
 Usage   :
 Function: Gets the values of a specific annotation as identified by the
           key from the annotation collection. Note that this is not a
           public method.
 Example :
 Returns : an array of strings
 Args    : the key (a string)